Bug 1127646 - [abrt] gpsim: PicCodProgramFileType::read_block(): gpsim killed by SIGABRT
Summary: [abrt] gpsim: PicCodProgramFileType::read_block(): gpsim killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gpsim
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Roy Rankin
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:32c5f364aedc9462ee33dfbf402...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 09:50 UTC by fabio
Modified: 2014-12-06 10:54 UTC (History)
1 user (show)

Fixed In Version: gpsim-0.28.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-06 10:54:19 UTC


Attachments (Terms of Use)
File: backtrace (26.50 KB, text/plain)
2014-08-07 09:50 UTC, fabio
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-07 09:50 UTC, fabio
no flags Details
File: core_backtrace (14.17 KB, text/plain)
2014-08-07 09:50 UTC, fabio
no flags Details
File: dso_list (7.73 KB, text/plain)
2014-08-07 09:50 UTC, fabio
no flags Details
File: environ (4.80 KB, text/plain)
2014-08-07 09:50 UTC, fabio
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-07 09:50 UTC, fabio
no flags Details
File: maps (43.00 KB, text/plain)
2014-08-07 09:50 UTC, fabio
no flags Details
File: open_fds (343 bytes, text/plain)
2014-08-07 09:50 UTC, fabio
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2014-08-07 09:50 UTC, fabio
no flags Details
File: var_log_messages (183 bytes, text/plain)
2014-08-07 09:50 UTC, fabio
no flags Details

Description fabio 2014-08-07 09:50:07 UTC
Description of problem:
when I open the application

Version-Release number of selected component:
gpsim-0.27.0-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gpsim
crash_function: PicCodProgramFileType::read_block
executable:     /usr/bin/gpsim
kernel:         3.15.7-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 PicCodProgramFileType::read_block at cod.cc:127
 #5 PicCodProgramFileType::read_directory at cod.cc:718
 #6 PicCodProgramFileType::LoadProgramFile at cod.cc:963
 #7 ProgramFileTypeList::LoadProgramFile at program_files.cc:101
 #8 CSimulationContext::LoadProgram at sim_context.cc:241
 #9 gpsim_open at input.cc:595
 #10 file_selection_ok at gui_menu.cc:826
 #15 gtk_real_button_released at gtkbutton.c:1712
 #16 _g_closure_invoke_va at gclosure.c:840
 #19 gtk_button_button_release at gtkbutton.c:1604

Comment 1 fabio 2014-08-07 09:50:13 UTC
Created attachment 924834 [details]
File: backtrace

Comment 2 fabio 2014-08-07 09:50:15 UTC
Created attachment 924835 [details]
File: cgroup

Comment 3 fabio 2014-08-07 09:50:17 UTC
Created attachment 924836 [details]
File: core_backtrace

Comment 4 fabio 2014-08-07 09:50:19 UTC
Created attachment 924837 [details]
File: dso_list

Comment 5 fabio 2014-08-07 09:50:20 UTC
Created attachment 924838 [details]
File: environ

Comment 6 fabio 2014-08-07 09:50:22 UTC
Created attachment 924839 [details]
File: limits

Comment 7 fabio 2014-08-07 09:50:26 UTC
Created attachment 924840 [details]
File: maps

Comment 8 fabio 2014-08-07 09:50:27 UTC
Created attachment 924841 [details]
File: open_fds

Comment 9 fabio 2014-08-07 09:50:29 UTC
Created attachment 924842 [details]
File: proc_pid_status

Comment 10 fabio 2014-08-07 09:50:30 UTC
Created attachment 924843 [details]
File: var_log_messages

Comment 11 Roy Rankin 2014-08-07 13:33:33 UTC
Looks like user tried to open a .asm file which gpsim does not expect. Program needs to be more gracefull about this.

Comment 12 Fedora Update System 2014-11-13 07:08:21 UTC
gpsim-0.28.0-0.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gpsim-0.28.0-0.fc21

Comment 13 Fedora Update System 2014-11-14 12:08:48 UTC
Package gpsim-0.28.0-0.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gpsim-0.28.0-0.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15051/gpsim-0.28.0-0.fc21
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2014-11-15 12:10:00 UTC
gpsim-0.28.1-0.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gpsim-0.28.1-0.fc21

Comment 15 Fedora Update System 2014-11-19 21:21:05 UTC
gpsim-0.28.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gpsim-0.28.1-1.fc21

Comment 16 Fedora Update System 2014-12-06 10:54:19 UTC
gpsim-0.28.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.